Skip to main content
GET
List operations

Authorizations

X-API-Key
string
header
required

Your partner API key. Use raas_sandbox_* keys for the sandbox environment and raas_live_* keys for production.

Query Parameters

referenceId
string

Filter operations by the partner reference ID of the associated user

Example:

"user-12345"

userId
string

Filter operations by M2M user ID

Example:

"user_acme_x1y2z3"

Filter operations by the magic link ID that initiated the transfer

Example:

"link_acme_a1b2c3d4e5f6"

externalId
string

Filter by the partner-supplied external tracing ID set when the magic link was created

Example:

"ORD-2026-001"

status
enum<string>

Filter by operation status. "created" = operation initiated. "processing" = funds in transit. "completed" = transfer successful. "failed" = transfer failed. "cancelled" = operation cancelled.

Available options:
created,
processing,
completed,
failed,
cancelled
Example:

"completed"

fundingMethod
string

Filter by the canonical funding method used to fund the operation (e.g. DEBIT_CARD, ACH, CASH_DEPOSIT). Matches funding.method.

Example:

"CASH_DEPOSIT"

pendingFunding
boolean

When true, returns only operations that are still pending funding: their funding status is not funded/expired and the operation is not in a terminal status (completed/failed/cancelled). Useful to attach a cash-deposit payment to an operation awaiting funds.

Example:

true

from
string

Filter operations created on or after this date (ISO 8601)

Example:

"2026-01-01T00:00:00.000Z"

to
string

Filter operations created on or before this date (ISO 8601)

Example:

"2026-02-28T23:59:59.999Z"

page
number
default:1

Page number (1-indexed)

Required range: x >= 1
Example:

1

limit
number
default:20

Number of items per page

Required range: 1 <= x <= 100
Example:

20

Response

Paginated list of operations

success
boolean
required
Example:

true

data
object
required